| Home · All Classes · All Namespaces · Modules · Functions · Files

# WeakPtr< T > Class Template Reference

`#include <TelepathyQt4/shared-ptr.h>`

List of all members.

## Public Member Functions

- WeakPtr ()
- WeakPtr (const WeakPtr< T > &o)
- WeakPtr (const SharedPtr< T > &o)
- ~WeakPtr ()
- bool isNull () const
- operator bool () const
- bool operator! () const
- WeakPtr< T > & operator= (const WeakPtr< T > &o)
- WeakPtr< T > & operator= (const SharedPtr< T > &o)
- void swap (WeakPtr< T > &o)
- SharedPtr< T > toStrongRef () const

### template<class T>
class Tp::WeakPtr< T >

## Constructor & Destructor Documentation

WeakPtr | ( |  | ) | `[inline]`

WeakPtr | ( | const WeakPtr< T > & | o | ) | `[inline]`

WeakPtr | ( | const SharedPtr< T > & | o | ) | `[inline]`

~WeakPtr | ( |  | ) | `[inline]`

## Member Function Documentation

bool isNull | ( |  | ) | const`[inline]`

operator bool | ( |  | ) | const`[inline]`

bool operator! | ( |  | ) | const`[inline]`

WeakPtr<T>& operator= | ( | const WeakPtr< T > & | o | ) | `[inline]`

WeakPtr<T>& operator= | ( | const SharedPtr< T > & | o | ) | `[inline]`

void swap | ( | WeakPtr< T > & | o | ) | `[inline]`

SharedPtr<T> toStrongRef | ( |  | ) | const`[inline]`